API referencellms.txt
Returns
Draft federal returns. Beta.
β
Beta. A CPA reviews and files every return. We don’t e-file yet.
Draft a return
POST
/v1/returnsBuilds a draft from the year’s data.
Fields
taxpayer_idstringRequired- The taxpayer, like
tp_8Kq2. tax_yearintegerRequired- Only
2026during the beta.
curl -X POST "https://api.workmade.com/v1/returns" \ -H "Authorization: Bearer $WORKMADE_KEY" \ -H "Content-Type: application/json" \ -d '{ "taxpayer_id": "tp_8Kq2", "tax_year": 2026 }'
{
"id": "rtn_5Tq0",
"object": "return",
"taxpayer_id": "tp_8Kq2",
"tax_year": 2026,
"status": "draft",
"forms": [
"1040",
"SCH_1",
"SCH_C",
"SCH_SE",
"8995"
],
"total_tax": 1470000,
"estimated_payments": 1672000,
"refund": 202000,
"amount_due": 0,
"out_of_scope": []
}POSTDraft a return
curl -X POST "https://api.workmade.com/v1/returns" \ -H "Authorization: Bearer $WORKMADE_KEY" \ -H "Content-Type: application/json" \ -d '{ "taxpayer_id": "tp_8Kq2", "tax_year": 2026 }'
{
"id": "rtn_5Tq0",
"object": "return",
"taxpayer_id": "tp_8Kq2",
"tax_year": 2026,
"status": "draft",
"forms": [
"1040",
"SCH_1",
"SCH_C",
"SCH_SE",
"8995"
],
"total_tax": 1470000,
"estimated_payments": 1672000,
"refund": 202000,
"amount_due": 0,
"out_of_scope": []
}Was this page helpful?